Package de.willuhn.jameica.hbci.rmi

# Interface Addressbook

All Superinterfaces:
  `Remote`

All Known Subinterfaces:
  `AddressbookService`

All Known Implementing Classes:
  `AddressbookHibiscusImpl`, `AddressbookServiceImpl`

public interface Addressbook extends Remote
Interface fuer ein einzelnes Adressbuch. Alle Klassen, die dieses Interface implementieren, werden automatisch von Hibiscus erkannt. Alle Implementierungen muessen einen parameterlosen Konstruktor besitzen (Bean-Spezifikation), um via Reflection instanziiert werden zu koennen.

## Method Summary

Modifier and Type
Method
Description
`Address`
`contains(Address address)`
Prueft, ob im Adressbuch eine Adresse mit diesen Eigenschaften enthalten ist.
`List`
`findAddresses(String text)`
Sucht nach Adressen und liefert die gefundenen zurueck.
`String`
`getName()`
Liefert einen sprechenden Namen fuer das Adressbuch.

## Method Details

### getName

String getName() throws RemoteException
Liefert einen sprechenden Namen fuer das Adressbuch.

Returns:
  Name des Adressbuches.
Throws:
  `RemoteException`

### findAddresses

List findAddresses(String text) throws RemoteException
Sucht nach Adressen und liefert die gefundenen zurueck. Es ist der jeweiligen Implementierung des Adressbuches ueberlassen, in welchen Feldern/Attributen der Adressdaten sie nach dem uebergebenen Text sucht. Wird kein Text uebergeben, kann das Adressbuch selbst entscheiden, ob es alle Adressen zurueckliefert oder gar keine.

Parameters:
  `text` - der Suchtext.
Returns:
  Liste der gefundenen Adressen. Die Objekte der Liste muessen vom Typ `Address` sein. Die Funktion darf auch `null` zurueckliefern, wenn keine Adressen gefunden wurden.
Throws:
  `RemoteException`
See Also:
  - `findAddresses(String)`

### contains

Address contains(Address address) throws RemoteException
Prueft, ob im Adressbuch eine Adresse mit diesen Eigenschaften enthalten ist.

Parameters:
  `address` - die gesuchte Adresse.
Returns:
  die Adresse mit den gleichen Eigenschaften aus dem Adressbuch oder `null`.
Throws:
  `RemoteException`